<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Yes/No responses and forms.
 *
 * @package    lnApp
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class lnApp_StaticList_YesNo extends StaticList {
	protected function _table() {
		return array(
			0=>_('No'),
			1=>_('Yes'),
		);
	}

	public static function get($value,$format=FALSE) {
		if (! $value)
			$value = 0;

		return $format ? View::factory(Site::Theme().'/label/bool')
			->set('label',$value ? 'label-success' : 'label-default')
			->set('column',StaticList_YesNo::factory()->_get($value)) : $value;
	}
}
?>
